<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.7.15</version>
        <relativePath/>
    </parent>

    <groupId>com.ema</groupId>
    <artifactId>ema_project</artifactId>
    <version>1.0.0-SNAPSHOT</version>
    <packaging>pom</packaging>
    <modules>
        <module>ema-common</module>
        <module>ema-admin</module>
    </modules>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <lombok.version>1.18.30</lombok.version>

        <!-- 数据库相关 -->
        <postgresql.version>42.6.0</postgresql.version>
        <mysql.version>8.0.33</mysql.version>
        <mybaits-plus.version>3.4.2</mybaits-plus.version>
        <pagehelper-spring.version>1.4.6</pagehelper-spring.version>
        <!-- swagger接口文档 https://doc.xiaominfo.com/docs/quick-start#openapi2-->
        <knife4j-openapi2.version>4.4.0</knife4j-openapi2.version>
        <!-- mybatis-plus 代码生成器,在线文档：https://github.com/davidfantasy/mybatis-plus-generator-ui -->
        <generator-ui.version>2.0.5</generator-ui.version>

        <!-- Sa-Token 权限认证，在线文档：https://sa-token.cc -->
        <sa-token.version>1.44.0</sa-token.version>
        <!-- mapstruct类型转换神器 https://www.baeldung-cn.com/mapstruct-->
        <mapstruct.version>1.6.3</mapstruct.version>
        <!-- IP地址归属地离线库 -->
        <ip2region.version>2.7.0</ip2region.version>
        <sensitive-word.version>0.22.0</sensitive-word.version>
        <!-- hutool工具类 https://www.hutool.cn/docs/#/ -->
        <hutool.version>5.8.38</hutool.version>
        <servlet-api.version>4.0.1</servlet-api.version>
        <poi-ooxml.version>5.4.0</poi-ooxml.version>
        <annotation-api.version>1.3.2</annotation-api.version>
        <uniapi-http.version>0.0.4</uniapi-http.version>

    </properties>


    <dependencyManagement>
        <dependencies>
            <!-- 数据库相关 -->
            <dependency>
                <groupId>org.postgresql</groupId>
                <artifactId>postgresql</artifactId>
                <version>${postgresql.version}</version>
            </dependency>
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql.version}</version>
            </dependency>
            <dependency>
                <groupId>com.mybatis-flex</groupId>
                <artifactId>mybatis-flex-spring-boot-starter</artifactId>
                <version>1.10.9</version>
            </dependency>
            <dependency>
                <groupId>com.mybatis-flex</groupId>
                <artifactId>mybatis-flex-processor</artifactId>
                <version>1.10.9</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>com.mybatis-flex</groupId>
                <artifactId>mybatis-flex-codegen</artifactId>
                <version>1.10.9</version>
            </dependency>

            <!-- swagger接口文档 -->
            <dependency>
                <groupId>com.github.xiaoymin</groupId>
                <artifactId>knife4j-openapi2-spring-boot-starter</artifactId>
                <version>${knife4j-openapi2.version}</version>
            </dependency>

            <!-- mybatis-plus 代码生成器 -->
            <dependency>
                <groupId>com.github.davidfantasy</groupId>
                <artifactId>mybatis-plus-generator-ui</artifactId>
                <version>${generator-ui.version}</version>
                <scope>test</scope>
            </dependency>

            <!-- Sa-Token 权限认证，在线文档：https://sa-token.cc -->
            <dependency>
                <groupId>cn.dev33</groupId>
                <artifactId>sa-token-spring-boot-starter</artifactId>
                <version>${sa-token.version}</version>
            </dependency>
            <!-- Sa-Token 整合 Redis （使用 jackson 序列化方式） -->
            <dependency>
                <groupId>cn.dev33</groupId>
                <artifactId>sa-token-redis-template</artifactId>
                <version>${sa-token.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.dev33</groupId>
                <artifactId>sa-token-redis-jackson</artifactId>
                <version>${sa-token.version}</version>
            </dependency>

            <!--lock4j 分布式锁 https://gitee.com/baomidou/lock4j-->
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>lock4j-redis-template-spring-boot-starter</artifactId>
                <version>2.2.4</version>
            </dependency>
            <!--redisMQ 消息队列（Message Queue） https://github.com/lengmianshi/redisMQ-spring-boot-starter -->
            <dependency>
                <groupId>io.github.lengmianshi</groupId>
                <artifactId>redisMQ-spring-boot-starter</artifactId>
                <version>1.0.8</version>
            </dependency>

            <!-- MapStruct 类型转换神器 -->
            <dependency>
                <groupId>org.mapstruct</groupId>
                <artifactId>mapstruct</artifactId>
                <version>${mapstruct.version}</version>
            </dependency>
            <dependency>
                <groupId>org.mapstruct</groupId>
                <artifactId>mapstruct-processor</artifactId>
                <version>${mapstruct.version}</version>
            </dependency>

            <!--IP归属地离线库 -->
            <dependency>
                <groupId>org.lionsoul</groupId>
                <artifactId>ip2region</artifactId>
                <version>${ip2region.version}</version>
            </dependency>
            <!-- 敏感词检测 -->
            <dependency>
                <groupId>com.github.houbb</groupId>
                <artifactId>sensitive-word</artifactId>
                <version>${sensitive-word.version}</version>
            </dependency>

            <!-- hutool 工具集 -->
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool.version}</version>
            </dependency>
            <dependency>
                <groupId>javax.servlet</groupId>
                <artifactId>javax.servlet-api</artifactId>
                <version>${servlet-api.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>${poi-ooxml.version}</version>
            </dependency>
            <dependency>
                <groupId>javax.annotation</groupId>
                <artifactId>javax.annotation-api</artifactId>
                <version>${annotation-api.version}</version>
            </dependency>

            <!-- X File Storage 文件上传下载框架， https://x-file-storage.xuyanwu.cn/#/ -->
            <dependency>
                <groupId>org.dromara.x-file-storage</groupId>
                <artifactId>x-file-storage-spring</artifactId>
                <version>2.3.0</version>
            </dependency>
            <!--阿里云服务 -->
            <dependency>
                <groupId>com.aliyun.oss</groupId>
                <artifactId>aliyun-sdk-oss</artifactId>
                <version>3.16.1</version>
            </dependency>

            <!-- Word 模板引擎 -->
            <dependency>
                <groupId>com.deepoove</groupId>
                <artifactId>poi-tl</artifactId>
                <version>1.12.2</version>
            </dependency>
            <dependency>
                <groupId>org.apache.pdfbox</groupId>
                <artifactId>pdfbox</artifactId>
                <version>3.0.5</version>
            </dependency>

            <!-- Java 多线程神器 ThreadForge
            https://mp.weixin.qq.com/s/eydlPgovjd5DfEFIiFRd7g
            -->
            <dependency>
                <groupId>pub.lighting</groupId>
                <artifactId>threadforge-core</artifactId>
                <version>1.0.1</version>
            </dependency>

            <!-- uniapi-http 网络请求 -->
            <dependency>
                <groupId>io.github.burukeyou</groupId>
                <artifactId>uniapi-http</artifactId>
                <version>${uniapi-http.version}</version>
            </dependency>
            <!--任务重试框架 Fast-Retry -->
            <dependency>
                <groupId>io.github.burukeyou</groupId>
                <artifactId>fast-retry-all</artifactId>
                <version>0.2.0</version>
            </dependency>

        </dependencies>

    </dependencyManagement>
</project>